Subject: [Shop-talk] Roll crimping an instrument bezel by hand?

From: Jim Franklin <[email-masked]>
Date: Fri, 9 Aug 2024 14:08:18 -0400

I need to round over the bezel of a motorcycle speedometer after replacing the glass. I've seen it done by lathe:

https://www.youtube.com/watch?v=G2ugiz4xVrU

but my lathe buddy has been saying "this weekend" for over a month. I don't have anything bigger than a hand drill at the moment. The bezel sticks up about 2mm past the face it needs to crimp over, so not much to work with, and that's with one hand compressing the rubber seal. 

I tried rolling a big socket over it to simulate the avove motion but I couldn't get the metal to deform at all. I feel if I use more leverage like with a tablespoon I'll end up stretching the metal rather than shrinking it to its smaller circumference. 

I'm sitting on my hands but if we don't get to it this weekend I'm afraid I'll lose it and end up ruining it. Any ideas on how not to ruin it? :-)

thanks,
jim
_______________________________________________

[email-masked]
Archive: http://www.team.net/pipermail/shop-talk http://autox.team.net/archive